--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Removes all Resources from the 1:m Collection
- !ruby/struct:SM::Flow::P 
  body: This should remove and orphan each Resource from the 1:m Collection.
- !ruby/struct:SM::Flow::P 
  body: "@return [Collection]"
- !ruby/struct:SM::Flow::VERB 
  body: "  self\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Associations::OneToMany::Collection#clear
is_singleton: false
name: clear
params: ()
visibility: public
